summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-01 16:56:15 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-01 17:04:06 +0100
commit7d88cdc9e4bff5a93bb1074d680fdc4e2c7925dc (patch)
treed045dcaae43841ae3107444a10e7c52bb739298c
parentddd386157cf718382670e4adbcfc44029240e33f (diff)
downloadapk-tools-7d88cdc9e4bff5a93bb1074d680fdc4e2c7925dc.tar.bz2
apk-tools-7d88cdc9e4bff5a93bb1074d680fdc4e2c7925dc.tar.xz
db: do not abort on bad repositories
Only show a warning if we have a non-existing repository or bad repository signature but don't abort. This is not to break compat with behaviour in previous releases.
-rw-r--r--src/database.c5
1 files changed, 0 insertions, 5 deletions
diff --git a/src/database.c b/src/database.c
index 0fe17fe..66e2926 100644
--- a/src/database.c
+++ b/src/database.c
@@ -1307,11 +1307,6 @@ int apk_db_open(struct apk_database *db, struct apk_db_options *dbopts)
if (apk_flags & APK_UPDATE_CACHE)
apk_db_index_write_nr_cache(db);
}
- if (db->bad_repos && !(apk_flags & APK_FORCE)) {
- apk_error("Aborting due to some repositories failed to load. Use --force to ignore this error.");
- r = -EBADMSG;
- goto ret_r;
- }
if (db->compat_newfeatures) {
apk_warning("This apk-tools is OLD! Some packages %s.",